{% extends 'base-programdonasi.html' %}
{% block content %}
<!-- HTML Object Program Donasi yang telah ada di database -->
<div class="content-program">
    <div class="row">
        <div class="col-md-5">
            <img src="{{ this_program.image_url }}" class="program-detail-image">
        </div>

        <div class="col-md-7">
            <h1 class="program-name-details">{{ this_program.nama }}</h1>
            <div class="blue-line"></div>
            <div class="row">
                <div class="col-md-6">
                    <h4 id="label-total">Terkumpul Rp{{ total }}</h4>
                </div>
                <div class="col-md-6">
                    <h4 id="label-target">Target Rp{{ this_program.target }}</h4>
                </div>
            </div>
        </div>

        <div class="col-sm-8" style="margin-top: 20px">
            <p class="program-desc">{{ this_program.deskripsi }}</p>
        </div>
        <div class="col-sm-4" style="margin-top: 20px">
            <div class="content-donatur">
                <h3 class="list-donatur">DAFTAR DONATUR</h3>
                {% if donations %}
                    {% for donation in donations %}
                        <div class="donatur-name"> {{ donation.donator_name }} -
                            Rp.{{ donation.donator_amount }}</div>
                    {% endfor %}
                {% else %}
                    <div class="donatur-name">Jadilah Donator Pertama Program Ini!</div>
                {% endif %}
            </div>
        </div>
    </div>
</div>
{% endblock %}




